VTK: vtkProgrammableElectronicData Class Reference

| VTK 9.3.1

Public Types | Public Member Functions | Static Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
vtkProgrammableElectronicData Class Reference

Provides access to and storage of user-generated vtkImageData that describes electrons. More...

`#include <vtkProgrammableElectronicData.h>`

Inheritance diagram for vtkProgrammableElectronicData:
[legend]
Collaboration diagram for vtkProgrammableElectronicData:
[legend]

## Public Types
typedef vtkAbstractElectronicData | Superclass
Public Types inherited from vtkAbstractElectronicData
typedef vtkDataObject | Superclass
Public Types inherited from vtkDataObject
enum | FieldAssociations { FIELD_ASSOCIATION_POINTS , FIELD_ASSOCIATION_CELLS , FIELD_ASSOCIATION_NONE , FIELD_ASSOCIATION_POINTS_THEN_CELLS , FIELD_ASSOCIATION_VERTICES , FIELD_ASSOCIATION_EDGES , FIELD_ASSOCIATION_ROWS , NUMBER_OF_ASSOCIATIONS }
| Possible values for the FIELD_ASSOCIATION information entry. More...
enum | AttributeTypes { POINT , CELL , FIELD , POINT_THEN_CELL , VERTEX , EDGE , ROW , NUMBER_OF_ATTRIBUTE_TYPES }
| Possible attribute types. More...
enum | FieldOperations { FIELD_OPERATION_PRESERVED , FIELD_OPERATION_REINTERPOLATED , FIELD_OPERATION_MODIFIED , FIELD_OPERATION_REMOVED }
| Possible values for the FIELD_OPERATION information entry. More...
typedef vtkObject | Superclass

## Public Member Functions
virtual vtkTypeBool | IsA (const char *type)
| Return 1 if this class is the same type of (or a subclass of) the named class. More...
vtkProgrammableElectronicData * | NewInstance () const
void | PrintSelf (ostream &os, vtkIndent indent) override
| Methods invoked by print to print information about the object including superclasses. More...
void | DeepCopy (vtkDataObject *obj) override
| Deep copies the data object into this. More...
vtkIdType | GetNumberOfMOs () override
| Get/Set the number of molecular orbitals. More...
virtual void | SetNumberOfMOs (vtkIdType)
| Get/Set the number of molecular orbitals. More...
vtkIdType | GetNumberOfElectrons () override
| Get/Set the number of electrons in the molecule. More...
virtual void | SetNumberOfElectrons (vtkIdType)
| Get/Set the number of electrons in the molecule. More...
vtkImageData * | GetMO (vtkIdType orbitalNumber) override
| Get/Set the vtkImageData for the requested molecular orbital. More...
void | SetMO (vtkIdType orbitalNumber, vtkImageData *data)
| Get/Set the vtkImageData for the requested molecular orbital. More...
vtkImageData * | GetElectronDensity () override
| Get/Set the vtkImageData for the molecule's electron density. More...
virtual void | SetElectronDensity (vtkImageData *)
| Get/Set the vtkImageData for the molecule's electron density. More...
virtual void | SetPadding (double)
| Set the padding around the molecule to which the cube extends. More...
Public Member Functions inherited from vtkAbstractElectronicData
vtkAbstractElectronicData * | NewInstance () const
int | GetDataObjectType () override
| Returns `VTK_ABSTRACT_ELECTRONIC_DATA`. More...
vtkImageData * | GetHOMO ()
| Returns vtkImageData for the Highest Occupied Molecular Orbital. More...
vtkImageData * | GetLUMO ()
| Returns vtkImageData for the Lowest Unoccupied Molecular Orbital. More...
vtkIdType | GetHOMOOrbitalNumber ()
vtkIdType | GetLUMOOrbitalNumber ()
bool | IsHOMO (vtkIdType orbitalNumber)
| Returns true if the given orbital number is the Highest Occupied Molecular Orbital, false otherwise. More...
bool | IsLUMO (vtkIdType orbitalNumber)
| Returns true if the given orbital number is the Lowest Unoccupied Molecular Orbital, false otherwise. More...
virtual double | GetPadding ()
| Get the padding between the molecule and the cube boundaries. More...
Public Member Functions inherited from vtkDataObject
vtkDataObject * | NewInstance () const
vtkMTimeType | GetMTime () override
| Data objects are composite objects and need to check each part for MTime. More...
virtual void | Initialize ()
| Restore data object to initial state,. More...
void | ReleaseData ()
| Release data back to system to conserve memory resource. More...
vtkMTimeType | GetUpdateTime ()
| Used by Threaded ports to determine if they should initiate an asynchronous update (still in development). More...
virtual unsigned long | GetActualMemorySize ()
| Return the actual size of the data in kibibytes (1024 bytes). More...
virtual void | CopyInformationFromPipeline (vtkInformation *vtkNotUsed(info))
| Copy from the pipeline information to the data object's own information. More...
virtual void | CopyInformationToPipeline (vtkInformation *vtkNotUsed(info))
| Copy information from this data object to the pipeline information. More...
void | DataHasBeenGenerated ()
| This method is called by the source when it executes to generate data. More...
virtual void | PrepareForNewData ()
| make the output data ready for new data to be inserted. More...
virtual void | ShallowCopy (vtkDataObject *src)
| The goal of the method is to copy the data up to the array pointers only. More...
virtual int | GetExtentType ()
| The ExtentType will be left as VTK_PIECES_EXTENT for data objects such as vtkPolyData and vtkUnstructuredGrid. More...
virtual void | Crop (const int *updateExtent)
| This method crops the data object (if necessary) so that the extent matches the update extent. More...
virtual vtkDataSetAttributes * | GetAttributes (int type)
| Returns the attributes of the data object of the specified attribute type. More...
virtual vtkUnsignedCharArray * | GetGhostArray (int type)
| Returns the ghost arrays of the data object of the specified attribute type. More...
virtual vtkFieldData * | GetAttributesAsFieldData (int type)
| Returns the attributes of the data object as a vtkFieldData. More...
virtual int | GetAttributeTypeForArray (vtkAbstractArray *arr)
| Retrieves the attribute type that an array came from. More...
virtual vtkIdType | GetNumberOfElements (int type)
| Get the number of elements for a specific attribute type (POINT, CELL, etc.). More...
virtual vtkInformation * | GetInformation ()
| Set/Get the information object associated with this data object. More...
virtual void | SetInformation (vtkInformation *)
| Set/Get the information object associated with this data object. More...
virtual vtkTypeBool | GetDataReleased ()
| Get the flag indicating the data has been released. More...
virtual void | SetFieldData (vtkFieldData *)
| Assign or retrieve a general field data to this data object. More...
virtual vtkFieldData * | GetFieldData ()
| Assign or retrieve a general field data to this data object. More...
void | GlobalReleaseDataFlagOn ()
| Turn on/off flag to control whether every object releases its data after being used by a filter. More...
void | GlobalReleaseDataFlagOff ()
| Turn on/off flag to control whether every object releases its data after being used by a filter. More...
Public Member Functions inherited from vtkObject
| vtkBaseTypeMacro (vtkObject, vtkObjectBase)
virtual void | DebugOn ()
| Turn debugging output on. More...
virtual void | DebugOff ()
| Turn debugging output off. More...
bool | GetDebug ()
| Get the value of the debug flag. More...
void | SetDebug (bool debugFlag)
| Set the value of the debug flag. More...
virtual void | Modified ()
| Update the modification time for this object. More...
void | RemoveObserver (unsigned long tag)
void | RemoveObservers (unsigned long event)
void | RemoveObservers (const char *event)
void | RemoveAllObservers ()
vtkTypeBool | HasObserver (unsigned long event)
vtkTypeBool | HasObserver (const char *event)
vtkTypeBool | InvokeEvent (unsigned long event)
vtkTypeBool | InvokeEvent (const char *event)
std::string | GetObjectDescription () const override
| The object description printed in messages and PrintSelf output. More...
unsigned long | AddObserver (unsigned long event, vtkCommand *, float priority=0.0f)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
unsigned long | AddObserver (const char *event, vtkCommand *, float priority=0.0f)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
vtkCommand * | GetCommand (unsigned long tag)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
void | RemoveObserver (vtkCommand *)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
void | RemoveObservers (unsigned long event, vtkCommand *)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
void | RemoveObservers (const char *event, vtkCommand *)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
vtkTypeBool | HasObserver (unsigned long event, vtkCommand *)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
vtkTypeBool | HasObserver (const char *event, vtkCommand *)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
template<class U , class T >
unsigned long | AddObserver (unsigned long event, U observer, void(T::*callback)(), float priority=0.0f)
| Overloads to AddObserver that allow developers to add class member functions as callbacks for events. More...
template<class U , class T >
unsigned long | AddObserver (unsigned long event, U observer, void(T::*callback)(vtkObject *, unsigned long, void *), float priority=0.0f)
| Overloads to AddObserver that allow developers to add class member functions as callbacks for events. More...
template<class U , class T >
unsigned long | AddObserver (unsigned long event, U observer, bool(T::*callback)(vtkObject *, unsigned long, void *), float priority=0.0f)
| Allow user to set the AbortFlagOn() with the return value of the callback method. More...
vtkTypeBool | InvokeEvent (unsigned long event, void *callData)
| This method invokes an event and return whether the event was aborted or not. More...
vtkTypeBool | InvokeEvent (const char *event, void *callData)
| This method invokes an event and return whether the event was aborted or not. More...
virtual void | SetObjectName (const std::string &objectName)
| Set/get the name of this object for reporting purposes. More...
virtual std::string | GetObjectName () const
| Set/get the name of this object for reporting purposes. More...
Public Member Functions inherited from vtkObjectBase
const char * | GetClassName () const
| Return the class name as a string. More...
virtual vtkIdType | GetNumberOfGenerationsFromBase (const char *name)
| Given the name of a base class of this class type, return the distance of inheritance between this class type and the named class (how many generations of inheritance are there between this class and the named class). More...
virtual void | Delete ()
| Delete a VTK object. More...
virtual void | FastDelete ()
| Delete a reference to this object. More...
void | InitializeObjectBase ()
void | Print (ostream &os)
| Print an object to an ostream. More...
virtual void | Register (vtkObjectBase *o)
| Increase the reference count (mark as used by another object). More...
virtual void | UnRegister (vtkObjectBase *o)
| Decrease the reference count (release by another object). More...
int | GetReferenceCount ()
| Return the current reference count of this object. More...
void | SetReferenceCount (int)
| Sets the reference count. More...
bool | GetIsInMemkind () const
| A local state flag that remembers whether this object lives in the normal or extended memory space. More...
virtual void | PrintHeader (ostream &os, vtkIndent indent)
| Methods invoked by print to print information about the object including superclasses. More...
virtual void | PrintTrailer (ostream &os, vtkIndent indent)
| Methods invoked by print to print information about the object including superclasses. More...
virtual bool | UsesGarbageCollector () const
| Indicate whether the class uses `vtkGarbageCollector` or not. More...

## Static Public Member Functions
static vtkProgrammableElectronicData * | New ()
static vtkTypeBool | IsTypeOf (const char *type)
static vtkProgrammableElectronicData * | SafeDownCast (vtkObjectBase *o)
Static Public Member Functions inherited from vtkAbstractElectronicData
static vtkTypeBool | IsTypeOf (const char *type)
static vtkAbstractElectronicData * | SafeDownCast (vtkObjectBase *o)
Static Public Member Functions inherited from vtkDataObject
static vtkDataObject * | New ()
static vtkTypeBool | IsTypeOf (const char *type)
static vtkDataObject * | SafeDownCast (vtkObjectBase *o)
static vtkInformation * | GetActiveFieldInformation (vtkInformation *info, int fieldAssociation, int attributeType)
| Return the information object within the input information object's field data corresponding to the specified association (FIELD_ASSOCIATION_POINTS or FIELD_ASSOCIATION_CELLS) and attribute (SCALARS, VECTORS, NORMALS, TCOORDS, or TENSORS) More...
static vtkInformation * | GetNamedFieldInformation (vtkInformation *info, int fieldAssociation, const char *name)
| Return the information object within the input information object's field data corresponding to the specified association (FIELD_ASSOCIATION_POINTS or FIELD_ASSOCIATION_CELLS) and name. More...
static void | RemoveNamedFieldInformation (vtkInformation *info, int fieldAssociation, const char *name)
| Remove the info associated with an array. More...
static vtkInformation * | SetActiveAttribute (vtkInformation *info, int fieldAssociation, const char *attributeName, int attributeType)
| Set the named array to be the active field for the specified type (SCALARS, VECTORS, NORMALS, TCOORDS, or TENSORS) and association (FIELD_ASSOCIATION_POINTS or FIELD_ASSOCIATION_CELLS). More...
static void | SetActiveAttributeInfo (vtkInformation *info, int fieldAssociation, int attributeType, const char *name, int arrayType, int numComponents, int numTuples)
| Set the name, array type, number of components, and number of tuples within the passed information object for the active attribute of type attributeType (in specified association, FIELD_ASSOCIATION_POINTS or FIELD_ASSOCIATION_CELLS). More...
static void | SetPointDataActiveScalarInfo (vtkInformation *info, int arrayType, int numComponents)
| Convenience version of previous method for use (primarily) by the Imaging filters. More...
static const char * | GetAssociationTypeAsString (int associationType)
| Given an integer association type, this static method returns a string type for the attribute (i.e. More...
static int | GetAssociationTypeFromString (const char *associationName)
| Given a string association name, this static method returns an integer association type for the attribute (i.e. More...
static vtkInformationStringKey * | DATA_TYPE_NAME ()
static vtkInformationDataObjectKey * | DATA_OBJECT ()
static vtkInformationIntegerKey * | DATA_EXTENT_TYPE ()
static vtkInformationIntegerPointerKey * | DATA_EXTENT ()
static vtkInformationIntegerVectorKey * | ALL_PIECES_EXTENT ()
static vtkInformationIntegerKey * | DATA_PIECE_NUMBER ()
static vtkInformationIntegerKey * | DATA_NUMBER_OF_PIECES ()
static vtkInformationIntegerKey * | DATA_NUMBER_OF_GHOST_LEVELS ()
static vtkInformationDoubleKey * | DATA_TIME_STEP ()
static vtkInformationInformationVectorKey * | POINT_DATA_VECTOR ()
static vtkInformationInformationVectorKey * | CELL_DATA_VECTOR ()
static vtkInformationInformationVectorKey * | VERTEX_DATA_VECTOR ()
static vtkInformationInformationVectorKey * | EDGE_DATA_VECTOR ()
static vtkInformationIntegerKey * | FIELD_ARRAY_TYPE ()
static vtkInformationIntegerKey * | FIELD_ASSOCIATION ()
static vtkInformationIntegerKey * | FIELD_ATTRIBUTE_TYPE ()
static vtkInformationIntegerKey * | FIELD_ACTIVE_ATTRIBUTE ()
static vtkInformationIntegerKey * | FIELD_NUMBER_OF_COMPONENTS ()
static vtkInformationIntegerKey * | FIELD_NUMBER_OF_TUPLES ()
static vtkInformationIntegerKey * | FIELD_OPERATION ()
static vtkInformationDoubleVectorKey * | FIELD_RANGE ()
static vtkInformationIntegerVectorKey * | PIECE_EXTENT ()
static vtkInformationStringKey * | FIELD_NAME ()
static vtkInformationDoubleVectorKey * | ORIGIN ()
static vtkInformationDoubleVectorKey * | SPACING ()
static vtkInformationDoubleVectorKey * | DIRECTION ()
static vtkInformationDoubleVectorKey * | BOUNDING_BOX ()
static vtkInformationDataObjectKey * | SIL ()
static vtkDataObject * | GetData (vtkInformation *info)
| Retrieve an instance of this class from an information object. More...
static vtkDataObject * | GetData (vtkInformationVector *v, int i=0)
| Retrieve an instance of this class from an information object. More...
static void | SetGlobalReleaseDataFlag (vtkTypeBool val)
| Turn on/off flag to control whether every object releases its data after being used by a filter. More...
static vtkTypeBool | GetGlobalReleaseDataFlag ()
| Turn on/off flag to control whether every object releases its data after being used by a filter. More...
Static Public Member Functions inherited from vtkObject
static vtkObject * | New ()
| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. More...
static void | BreakOnError ()
| This method is called when vtkErrorMacro executes. More...
static void | SetGlobalWarningDisplay (vtkTypeBool val)
| This is a global flag that controls whether any debug, warning or error messages are displayed. More...
static void | GlobalWarningDisplayOn ()
| This is a global flag that controls whether any debug, warning or error messages are displayed. More...
static void | GlobalWarningDisplayOff ()
| This is a global flag that controls whether any debug, warning or error messages are displayed. More...
static vtkTypeBool | GetGlobalWarningDisplay ()
| This is a global flag that controls whether any debug, warning or error messages are displayed. More...
Static Public Member Functions inherited from vtkObjectBase
static vtkTypeBool | IsTypeOf (const char *name)
| Return 1 if this class type is the same type of (or a subclass of) the named class. More...
static vtkIdType | GetNumberOfGenerationsFromBaseType (const char *name)
| Given a the name of a base class of this class type, return the distance of inheritance between this class type and the named class (how many generations of inheritance are there between this class and the named class). More...
static vtkObjectBase * | New ()
| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. More...
static void | SetMemkindDirectory (const char *directoryname)
| The name of a directory, ideally mounted -o dax, to memory map an extended memory space within. More...
static bool | GetUsingMemkind ()
| A global state flag that controls whether vtkObjects are constructed in the usual way (the default) or within the extended memory space. More...

## Protected Member Functions
virtual vtkObjectBase * | NewInstanceInternal () const
| vtkProgrammableElectronicData ()
| ~vtkProgrammableElectronicData () override
Protected Member Functions inherited from vtkAbstractElectronicData
| vtkAbstractElectronicData ()
| ~vtkAbstractElectronicData () override
Protected Member Functions inherited from vtkDataObject
| vtkDataObject ()
| ~vtkDataObject () override
Protected Member Functions inherited from vtkObject
| vtkObject ()
| ~vtkObject () override
void | RegisterInternal (vtkObjectBase *, vtkTypeBool check) override
void | UnRegisterInternal (vtkObjectBase *, vtkTypeBool check) override
void | InternalGrabFocus (vtkCommand *mouseEvents, vtkCommand *keypressEvents=nullptr)
| These methods allow a command to exclusively grab all events. More...
void | InternalReleaseFocus ()
| These methods allow a command to exclusively grab all events. More...
Protected Member Functions inherited from vtkObjectBase
| vtkObjectBase ()
virtual | ~vtkObjectBase ()
virtual void | ReportReferences (vtkGarbageCollector *)
| vtkObjectBase (const vtkObjectBase &)
void | operator= (const vtkObjectBase &)

## Protected Attributes
vtkIdType | NumberOfElectrons
| Electronic data set property. More...
StdVectorOfImageDataPointers * | MOs
| Storage for the vtkImageData objects. More...
vtkImageData * | ElectronDensity
| Storage for the vtkImageData objects. More...
Protected Attributes inherited from vtkAbstractElectronicData
double | Padding
Protected Attributes inherited from vtkDataObject
vtkFieldData * | FieldData
vtkTypeBool | DataReleased
vtkTimeStamp | UpdateTime
vtkInformation * | Information
Protected Attributes inherited from vtkObject
bool | Debug
vtkTimeStamp | MTime
vtkSubjectHelper * | SubjectHelper
std::string | ObjectName
Protected Attributes inherited from vtkObjectBase
std::atomic< int32_t > | ReferenceCount
vtkWeakPointerBase ** | WeakPointers

## Additional Inherited Members
Static Protected Member Functions inherited from vtkObjectBase
static vtkMallocingFunction | GetCurrentMallocFunction ()
static vtkReallocingFunction | GetCurrentReallocFunction ()
static vtkFreeingFunction | GetCurrentFreeFunction ()
static vtkFreeingFunction | GetAlternateFreeFunction ()

## Detailed Description

Provides access to and storage of user-generated vtkImageData that describes electrons.

Tests:
  vtkProgrammableElectronicData (Tests)

Definition at line 23 of file vtkProgrammableElectronicData.h.

## Member Typedef Documentation

## ◆ Superclass

typedef vtkAbstractElectronicData vtkProgrammableElectronicData::Superclass

Definition at line 27 of file vtkProgrammableElectronicData.h.

## Constructor & Destructor Documentation

## ◆ vtkProgrammableElectronicData()

vtkProgrammableElectronicData::vtkProgrammableElectronicData | ( |  | ) |
| protected

## ◆ ~vtkProgrammableElectronicData()

vtkProgrammableElectronicData::~vtkProgrammableElectronicData | ( |  | ) |
| overrideprotected

## Member Function Documentation

## ◆ New()

static vtkProgrammableElectronicData* vtkProgrammableElectronicData::New | ( |  | ) |
| static

## ◆ IsTypeOf()

static vtkTypeBool vtkProgrammableElectronicData::IsTypeOf | ( | const char * | type | ) |
| static

## ◆ IsA()

virtual vtkTypeBool vtkProgrammableElectronicData::IsA | ( | const char * | name | ) |
| virtual

Return 1 if this class is the same type of (or a subclass of) the named class.

Returns 0 otherwise. This method works in combination with vtkTypeMacro found in vtkSetGet.h.

Reimplemented from vtkAbstractElectronicData.

## ◆ SafeDownCast()

static vtkProgrammableElectronicData* vtkProgrammableElectronicData::SafeDownCast | ( | vtkObjectBase * | o | ) |
| static

## ◆ NewInstanceInternal()

virtual vtkObjectBase* vtkProgrammableElectronicData::NewInstanceInternal | ( |  | ) | const
| protectedvirtual

Reimplemented from vtkAbstractElectronicData.

## ◆ NewInstance()

vtkProgrammableElectronicData* vtkProgrammableElectronicData::NewInstance | ( |  | ) | const

## ◆ PrintSelf()

void vtkProgrammableElectronicData::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) |  |
| overridevirtual

Methods invoked by print to print information about the object including superclasses.

Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes.

Reimplemented from vtkAbstractElectronicData.

## ◆ GetNumberOfMOs()

vtkIdType vtkProgrammableElectronicData::GetNumberOfMOs | ( |  | ) |
| overridevirtual

Get/Set the number of molecular orbitals.

Setting this will resize this internal array of MOs.

Implements vtkAbstractElectronicData.

## ◆ SetNumberOfMOs()

virtual void vtkProgrammableElectronicData::SetNumberOfMOs | ( | vtkIdType |  | ) |
| virtual

Get/Set the number of molecular orbitals.

Setting this will resize this internal array of MOs.

## ◆ GetNumberOfElectrons()

vtkIdType vtkProgrammableElectronicData::GetNumberOfElectrons | ( |  | ) |
| inlineoverridevirtual

Get/Set the number of electrons in the molecule.

Needed for HOMO/LUMO convenience functions

Implements vtkAbstractElectronicData.

Definition at line 44 of file vtkProgrammableElectronicData.h.

## ◆ SetNumberOfElectrons()

virtual void vtkProgrammableElectronicData::SetNumberOfElectrons | ( | vtkIdType |  | ) |
| virtual

Get/Set the number of electrons in the molecule.

Needed for HOMO/LUMO convenience functions

## ◆ GetMO()

vtkImageData* vtkProgrammableElectronicData::GetMO | ( | vtkIdType | orbitalNumber | ) |
| overridevirtual

Get/Set the vtkImageData for the requested molecular orbital.

Implements vtkAbstractElectronicData.

## ◆ SetMO()

void vtkProgrammableElectronicData::SetMO | ( | vtkIdType | orbitalNumber,
|  | vtkImageData * | data
| ) |  |

Get/Set the vtkImageData for the requested molecular orbital.

## ◆ GetElectronDensity()

vtkImageData* vtkProgrammableElectronicData::GetElectronDensity | ( |  | ) |
| inlineoverridevirtual

Get/Set the vtkImageData for the molecule's electron density.

Implements vtkAbstractElectronicData.

Definition at line 60 of file vtkProgrammableElectronicData.h.

## ◆ SetElectronDensity()

virtual void vtkProgrammableElectronicData::SetElectronDensity | ( | vtkImageData * |  | ) |
| virtual

Get/Set the vtkImageData for the molecule's electron density.

## ◆ SetPadding()

virtual void vtkProgrammableElectronicData::SetPadding | ( | double |  | ) |
| virtual

Set the padding around the molecule to which the cube extends.

This is used to determine the dataset bounds.

## ◆ DeepCopy()

void vtkProgrammableElectronicData::DeepCopy | ( | vtkDataObject * | obj | ) |
| overridevirtual

Deep copies the data object into this.

Reimplemented from vtkAbstractElectronicData.

## Member Data Documentation

## ◆ NumberOfElectrons

vtkIdType vtkProgrammableElectronicData::NumberOfElectrons
| protected

Electronic data set property.

Definition at line 84 of file vtkProgrammableElectronicData.h.

## ◆ MOs

StdVectorOfImageDataPointers* vtkProgrammableElectronicData::MOs
| protected

Storage for the vtkImageData objects.

Definition at line 90 of file vtkProgrammableElectronicData.h.

## ◆ ElectronDensity

vtkImageData* vtkProgrammableElectronicData::ElectronDensity
| protected

Storage for the vtkImageData objects.

Definition at line 91 of file vtkProgrammableElectronicData.h.

The documentation for this class was generated from the following file:

- Domains/Chemistry/vtkProgrammableElectronicData.h